Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.draw
Class OdfPathElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
                                      org.odftoolkit.odfdom.dom.element.draw.OdfShapeElementBase
                                          org.odftoolkit.odfdom.dom.element.draw.OdfPathElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfPath

    public abstract class OdfPathElement

extends OdfShapeElementBase

DOM implementation of OpenDocument element draw:path.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfPathElement(OdfFileDom aOwnerDoc)` Create the instance of OdfPathElement

Method Summary
`OdfDescElement` | `createDescElement()` Create child element svg:desc.
`OdfEventListenersElement` | `createEventListenersElement()` Create child element office:event-listeners.
`OdfGluePointElement` | `createGluePointElement(OdfNonNegativeInteger drawid, OdfLength x, OdfLength y, OdfEscapeDirectionType escapeDirection)` Create child element draw:glue-point.
`OdfListElement` | `createListElement()` Create child element text:list.
`OdfParagraphElement` | `createParagraphElement()` Create child element text:p.
`OdfTitleElement` | `createTitleElement()` Create child element svg:title.
`OdfId` | `getCaptionId()` Get value of attribute draw:caption-id.
`String` | `getD()` Get value of attribute svg:d.
`OdfLength` | `getHeight()` Get value of attribute svg:height.
`String` | `getLayer()` Get value of attribute draw:layer.
`OdfName` | `getOdfName()` Get the element name
`String` | `getTextStyleName()` Get value of attribute draw:text-style-name.
`String` | `getTransform()` Get value of attribute draw:transform.
`Integer` | `getViewBox()` Get value of attribute svg:viewBox.
`OdfLength` | `getWidth()` Get value of attribute svg:width.
`OdfLength` | `getX()` Get value of attribute svg:x.
`OdfLength` | `getY()` Get value of attribute svg:y.
`void` | `init(String d, Integer viewBox)` Initialization of the mandatory attributes of `OdfPathElement`
`void` | `setCaptionId(OdfId captionId)` Set value of attribute draw:caption-id.
`void` | `setD(String d)` Set value of attribute svg:d.
`void` | `setHeight(OdfLength height)` Set value of attribute svg:height.
`void` | `setLayer(String layer)` Set value of attribute draw:layer.
`void` | `setTextStyleName(OdfStyleNameRef textStyleName)` Set value of attribute draw:text-style-name.
`void` | `setTransform(String transform)` Set value of attribute draw:transform.
`void` | `setViewBox(Integer viewBox)` Set value of attribute svg:viewBox.
`void` | `setWidth(OdfLength width)` Set value of attribute svg:width.
`void` | `setX(OdfLength x)` Set value of attribute svg:x.
`void` | `setY(OdfLength y)` Set value of attribute svg:y.

Methods inherited from class org.odftoolkit.odfdom.dom.element.draw.OdfShapeElementBase
`getAnchorPageNumber, getAnchorType, getDrawClassNames, getDrawid, getDrawStyleName, getEndCellAddress, getEndX, getEndY, getName, getPresentationClassNames, getPresentationStyleName, getTableBackground, getXmlid, getZIndex, init, setAnchorPageNumber, setAnchorType, setDrawClassNames, setDrawid, setDrawStyleName, setEndCellAddress, setEndX, setEndY, setName, setPresentationClassNames, setPresentationStyleName, setTableBackground, setXmlid, setZIndex`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
`setAttributeNS`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, getStyleName, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfPathElement

    public OdfPathElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfPathElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element draw:path.

### init

    public void init(String d,
                     Integer viewBox)

  Initialization of the mandatory attributes of `OdfPathElement`

  Parameters:
    `d` - The mandatory attribute svg:d"
    `viewBox` - The mandatory attribute svg:viewBox"

### getD

    public String getD()

  Get value of attribute svg:d.

  Returns:
    return the attribute which type is String

### setD

    public void setD(String d)

  Set value of attribute svg:d.

  Parameters:
    `d` - the attribute's type is String

### getX

    public OdfLength getX()

  Get value of attribute svg:x.

  Returns:
    return the attribute which type is OdfLength

### setX

    public void setX(OdfLength x)

  Set value of attribute svg:x.

  Parameters:
    `x` - the attribute's type is OdfLength

### getY

    public OdfLength getY()

  Get value of attribute svg:y.

  Returns:
    return the attribute which type is OdfLength

### setY

    public void setY(OdfLength y)

  Set value of attribute svg:y.

  Parameters:
    `y` - the attribute's type is OdfLength

### getWidth

    public OdfLength getWidth()

  Get value of attribute svg:width.

  Returns:
    return the attribute which type is OdfLength

### setWidth

    public void setWidth(OdfLength width)

  Set value of attribute svg:width.

  Parameters:
    `width` - the attribute's type is OdfLength

### getHeight

    public OdfLength getHeight()

  Get value of attribute svg:height.

  Returns:
    return the attribute which type is OdfLength

### setHeight

    public void setHeight(OdfLength height)

  Set value of attribute svg:height.

  Parameters:
    `height` - the attribute's type is OdfLength

### getViewBox

    public Integer getViewBox()

  Get value of attribute svg:viewBox.

  Returns:
    return the attribute which type is Integer

### setViewBox

    public void setViewBox(Integer viewBox)

  Set value of attribute svg:viewBox.

  Parameters:
    `viewBox` - the attribute's type is Integer

### getLayer

    public String getLayer()

  Get value of attribute draw:layer.

  Returns:
    return the attribute which type is String

### setLayer

    public void setLayer(String layer)

  Set value of attribute draw:layer.

  Parameters:
    `layer` - the attribute's type is String

### getTransform

    public String getTransform()

  Get value of attribute draw:transform.

  Returns:
    return the attribute which type is String

### setTransform

    public void setTransform(String transform)

  Set value of attribute draw:transform.

  Parameters:
    `transform` - the attribute's type is String

### getTextStyleName

    public String getTextStyleName()

  Get value of attribute draw:text-style-name.

  Returns:
    return the attribute which type is String

### setTextStyleName

    public void setTextStyleName(OdfStyleNameRef textStyleName)

  Set value of attribute draw:text-style-name.

  Parameters:
    `textStyleName` - the attribute's type is OdfStyleNameRef

### getCaptionId

    public OdfId getCaptionId()

  Get value of attribute draw:caption-id.

  Returns:
    return the attribute which type is OdfId

### setCaptionId

    public void setCaptionId(OdfId captionId)

  Set value of attribute draw:caption-id.

  Parameters:
    `captionId` - the attribute's type is OdfId

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element svg:title.

  Returns:
    return the element svg:title

### createDescElement

    public OdfDescElement createDescElement()

  Create child element svg:desc.

  Returns:
    return the element svg:desc

### createEventListenersElement

    public OdfEventListenersElement createEventListenersElement()

  Create child element office:event-listeners.

  Returns:
    return the element office:event-listeners

### createGluePointElement

    public OdfGluePointElement createGluePointElement(OdfNonNegativeInteger drawid,
                                                      OdfLength x,
                                                      OdfLength y,
                                                      OdfEscapeDirectionType escapeDirection)

  Create child element draw:glue-point.

  Parameters:
    `drawid` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
    `x` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `escapeDirection` - the attribute's type is OdfEscapeDirectionType, see draw:escape-direction at specification
  Returns:
    return the element draw:glue-point

### createParagraphElement

    public OdfParagraphElement createParagraphElement()

  Create child element text:p.

  Returns:
    return the element text:p

### createListElement

    public OdfListElement createListElement()

  Create child element text:list.

  Returns:
    return the element text:list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.